Bug 869559 - Pacemaker resource agents for glusterd and volumes
Pacemaker resource agents for glusterd and volumes
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: scripts (Show other bugs)
pre-release
All All
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
http://review.gluster.org/#change,3043
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 05:14 EDT by Florian Haas
Modified: 2013-12-18 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:11:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florian Haas 2012-10-24 05:14:42 EDT
Feature request: add OCF compliant resource agents for managing a GlusterFS cluster from Pacemaker.
Comment 1 Niels de Vos 2012-10-24 05:40:54 EDT
Patches for review available at http://review.gluster.org/#change,3043
Comment 2 Vijay Bellur 2012-10-24 20:46:59 EDT
CHANGE: http://review.gluster.org/3043 (Add OCF compliant resource agents for glusterd and volumes) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Niels de Vos 2012-10-25 03:30:06 EDT
Florian, do you expect to see a glusterfs-ocf sub-package (rpm) that contains the resource-agent, or how are users expected to install this?

Thanks,
Niels
Comment 4 Florian Haas 2012-10-25 03:32:36 EDT
A subpackage would be good, preferably named "glusterfs-resource-agents" as the upstream OCF RAs are in "resource-agents" and the subpackage would have to have a dependency on that.
Comment 5 Niels de Vos 2012-10-25 06:25:30 EDT
A change to the .spec and build scripts is available for review here:
- http://review.gluster.org/4130

Instructions for building the packages have been provided. Comments are much appreciated.
Comment 6 Niels de Vos 2012-11-06 05:55:22 EST
http://review.gluster.org/4130 provides the functionality for creating the glusterfs-resource-agents package and now also contains a solid test-case for building the RPMs.

Moving this Bug to POST as this needs merging too.
Comment 7 Vijay Bellur 2012-12-12 13:58:57 EST
CHANGE: http://review.gluster.org/4130 (build: include OCF resource agents by default and package them) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.